Bug 864049 - SPICE driver crash when upgrading system
SPICE driver crash when upgrading system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
i386 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 08:46 EDT by hramrach
Modified: 2013-01-09 07:10 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 17:06:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log of running in kvm (37.78 KB, text/plain)
2012-10-09 07:47 EDT, hramrach
no flags Details
upgrading systemd from serial console (252.54 KB, text/plain)
2012-10-09 07:49 EDT, hramrach
no flags Details
virtualbox session log (3.19 KB, text/plain)
2012-10-09 08:30 EDT, hramrach
no flags Details
virtualbox system log (174.38 KB, text/plain)
2012-10-09 08:30 EDT, hramrach
no flags Details

  None (edit)
Description hramrach 2012-10-08 08:46:29 EDT
Description of problem:

After upgrading systemd system powers off/crashes.

Version-Release number of selected component (if applicable):

systemd 188-3 upgraded to 194-1


How reproducible:

upgrade systemd on the f18 alpha live cd

Steps to Reproduce:

1. run f18 aplha in kvm: $ kvm -m 1024 -usb -usbdevice tablet -net nic,model=virtio -net tap,ifname=tap0,script=no,downscript=no -vga qxl -cdrom Fedora-18-Alpha-i686-Live-Desktop.iso
2. log in as live user and open a root terminal
3. yum install systemd
  
Actual results:

kvm terminates


Expected results:

system keeps running with new systemd

Additional info:
Comment 1 Bill Nottingham 2012-10-08 15:51:02 EDT
Have more information on how/why it crashed? Was it a clean shutdown? Did the guest kernel crash?
Comment 2 hramrach 2012-10-09 07:47:45 EDT
Created attachment 624042 [details]
log of running in kvm
Comment 3 hramrach 2012-10-09 07:49:06 EDT
Created attachment 624043 [details]
upgrading systemd from serial console
Comment 4 hramrach 2012-10-09 07:52:30 EDT
Upgrading systemd from console does not cause the system to crash.

It seems gdm restarts, however.

Upgrading systemd in virtualbox brings 'sad mac' screen but both the system and the session keeps running.
Comment 5 hramrach 2012-10-09 08:30:09 EDT
Created attachment 624059 [details]
virtualbox session log
Comment 6 hramrach 2012-10-09 08:30:54 EDT
Created attachment 624061 [details]
virtualbox system log
Comment 7 Lennart Poettering 2012-10-30 17:12:05 EDT
Looks like a problem in the Spice module of KVM/qemu, judging by #2. Reassigning to qemu.
Comment 8 Cole Robinson 2012-10-31 11:46:14 EDT
hramrach, Thanks for the report.

What version of qemu is this?

Can you do 

debuginfo-install qemu-system-x86
gdb qemu-system-x86
> run <your cli arguments>

Then reproduce the issue, and at gdb prompt enter

> thread apply all bt

And post the output here.
Comment 9 Cole Robinson 2012-12-14 17:06:46 EST
No response for a month, closing.

Note You need to log in before you can comment on or make changes to this bug.